/* 
 * Akonadi OpenSync 0.22 plugin
 * Copyright (C) 2010  Tejas Guruswamy <masterpatricko@gmail.com>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef AKONADISYNC_PLUGIN_H
#define AKONADISYNC_PLUGIN_H

extern "C" {
#include <opensync/opensync.h>
}

#include "akonadisync_wrapper.h"

//Specify any structs etc here.
typedef struct plugin_environment {
	OSyncMember *member;
	//If you need a hashtable:
	OSyncHashTable *hashtable;
	//More stuff you need goes here
	AkonadiSyncWrapper *sync;
} plugin_environment;

#ifndef OPENSYNC_PLUGINDIR
#define OPENSYNC_PLUGINDIR ""
#endif //OPENSYNC_PLUGINDIR

#endif //AKONADISYNC_PLUGIN_H
